# _DIR Struct Reference

`#include <mac.h>`

## Data Fields

int | d_VRefNum
long int | d_DirID
int | d_index
HANDLE | hSearch
WIN32_FIND_DATA | Win32FindData
BOOL | firsttime
struct dirent | file_info

## Field Documentation

int _DIR::d_VRefNum

long int _DIR::d_DirID

int _DIR::d_index

HANDLE _DIR::hSearch

WIN32_FIND_DATA _DIR::Win32FindData

BOOL _DIR::firsttime

struct dirent _DIR::file_info`[read]`

The documentation for this struct was generated from the following files:

- mac.h
- nt-base.h